Slackware 10.0 / 10.1 / 10.2 / current : X.Org pixmap overflow (SSA:2005-269-02)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote Slackware host is missing a security update.

Description :

New X.Org server packages are available for Slackware 10.0, 10.1,
10.2, and -current to fix a security issue. An integer overflow in the
pixmap handling code may allow the execution of arbitrary code through
a specially crafted pixmap. Slackware 10.2 was patched against this
vulnerability before its release, but new server packages are being
issued for Slackware 10.2 and -current using an improved patch, as
there were some bug reports using certain programs.

See also :

http://www.nessus.org/u?9018ea5f

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.1
(CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P)

Family: Slackware Local Security Checks

Nessus Plugin ID: 19867 ()

Bugtraq ID:

CVE ID: CVE-2005-2495